---
sidebar_label: BoxModel
---

# BoxModel interface

**Signature:**

```typescript
export interface BoxModel
```

## Properties

| Property                                   | Modifiers | Type                              | Description |
| ------------------------------------------ | --------- | --------------------------------- | ----------- |
| [border](./puppeteer.boxmodel.border.md)   |           | [Point](./puppeteer.point.md)\[\] |             |
| [content](./puppeteer.boxmodel.content.md) |           | [Point](./puppeteer.point.md)\[\] |             |
| [height](./puppeteer.boxmodel.height.md)   |           | number                            |             |
| [margin](./puppeteer.boxmodel.margin.md)   |           | [Point](./puppeteer.point.md)\[\] |             |
| [padding](./puppeteer.boxmodel.padding.md) |           | [Point](./puppeteer.point.md)\[\] |             |
| [width](./puppeteer.boxmodel.width.md)     |           | number                            |             |
